# Generated by Django 4.0.10 on 2023-10-25 19:17

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Address",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("street", models.CharField(max_length=100)),
                ("city", models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name="Author",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(db_index=True, max_length=100)),
                ("age", models.IntegerField(default=None, null=True)),
                ("is_married", models.BooleanField(default=None, null=True)),
                (
                    "address",
                    models.OneToOneField(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="author",
                        to="datatables_example.address",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Book",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(db_index=True, max_length=300)),
                ("pages", models.IntegerField()),
                ("price", models.DecimalField(decimal_places=2, max_digits=10)),
                ("rating", models.FloatField()),
                (
                    "pubdate",
                    models.DateField(db_index=True, verbose_name="publication date"),
                ),
                (
                    "genre",
                    models.CharField(
                        choices=[
                            ("BI", "Biography"),
                            ("FA", "Fantasy"),
                            ("HI", "History"),
                            ("MY", "Mystery"),
                            ("RO", "Romance"),
                            ("SF", "Science Fiction"),
                        ],
                        max_length=2,
                    ),
                ),
                ("authors", models.ManyToManyField(to="datatables_example.author")),
            ],
        ),
        migrations.CreateModel(
            name="Publisher",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(db_index=True, max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name="Store",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(db_index=True, max_length=300)),
                ("books", models.ManyToManyField(to="datatables_example.book")),
            ],
        ),
        migrations.AddField(
            model_name="book",
            name="publisher",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="datatables_example.publisher",
            ),
        ),
    ]
